\ Commacode for assembler-less programs

: COMMACODE ( -- )
  created lfa>n count hx 1F and
  cr ." code " 2dup type
  3 spaces
  + aligned >body
  chere over - 2/ 0
  do @+ u. ." , "
     dup 7 and 0=
     if cr else space then
  loop drop ." end-code " cr ;

\ End 
